Click or drag to resize
OperatingSystemInfoRequireServerOrClientAtLeast Method
Determines whether operating system is of the specified server version or later or if it is of the specified client version or later and throws UnsupportedOperatingSystemException otherwise.

Namespace: Alphaleonis.Win32.Vss
Assembly: AlphaVSS.Common (in AlphaVSS.Common.dll) Version: 1.3.0.0 (1.3.0.0)
Syntax
public static void RequireServerOrClientAtLeast(
	OSVersionName serverVersion,
	int serverServicePackVersion,
	OSVersionName clientVersion,
	int clientServicePackVersion
)

Parameters

serverVersion
Type: Alphaleonis.Win32.VssOSVersionName
The minimum server version.
serverServicePackVersion
Type: SystemInt32
The minimum server service pack version (applies only if the version exactly matches the specified server version).
clientVersion
Type: Alphaleonis.Win32.VssOSVersionName
The minimum client version.
clientServicePackVersion
Type: SystemInt32
The minimum client service pack version (applies only if the version exactly matches the specified client version).
See Also